## GstGLDisplayWayland GstGLDisplayWayland |

## Functions

GstGLDisplayWayland * | gst_gl_display_wayland_new ()
GstGLDisplayWayland * | gst_gl_display_wayland_new_with_display ()

## Description

## Functions

### gst_gl_display_wayland_new ()

    GstGLDisplayWayland *
    gst_gl_display_wayland_new (const gchar *name);

Create a new GstGLDisplayWayland from the wayland display name. See `wl_display_connect()` for details on what is a valid name.

#### Parameters

name | a display name. | [allow-none]

#### Returns

a new GstGLDisplayWayland or `NULL`.

[transfer full]

### gst_gl_display_wayland_new_with_display ()

    GstGLDisplayWayland *
    gst_gl_display_wayland_new_with_display
                                   (struct wl_display *display);

Creates a new display connection from a wl_display Display.

#### Parameters

display | an existing, wayland display |

#### Returns

a new GstGLDisplayWayland.

[transfer full]

## Types and Values